Bug 470902 (CVE-2008-5024) - CVE-2008-5024 Mozilla parsing error in E4X default namespace
Summary: CVE-2008-5024 Mozilla parsing error in E4X default namespace
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-5024
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-10 20:01 UTC by Josh Bressers
Modified: 2019-09-29 12:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-25 16:53:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0976 normal SHIPPED_LIVE Moderate: thunderbird security update 2008-11-20 01:09:47 UTC
Red Hat Product Errata RHSA-2008:0977 normal SHIPPED_LIVE Critical: seamonkey security update 2008-11-13 02:21:08 UTC
Red Hat Product Errata RHSA-2008:0978 normal SHIPPED_LIVE Critical: firefox security update 2008-11-13 02:23:59 UTC

Description Josh Bressers 2008-11-10 20:01:00 UTC
Security researcher Chris Evans reported an error in the method used to
parse the default namespace in an E4X document. The error was caused by
quote characters in the namespace not being properly escaped.

Comment 2 Josh Bressers 2008-11-13 01:40:57 UTC
This is now public:
http://www.mozilla.org/security/announce/2008/mfsa2008-58.html

Comment 3 Fedora Update System 2008-11-14 12:49:01 UTC
firefox-2.0.0.18-1.fc8, epiphany-2.20.3-8.fc8, epiphany-extensions-2.20.1-11.fc8, blam-1.8.3-19.fc8, cairo-dock-1.6.3.1-1.fc8.1, chmsee-1.0.0-5.31.fc8, devhelp-0.16.1-11.fc8, evolution-rss-0.0.8-13.fc8, galeon-2.0.4-6.fc8.3, gnome-python2-extras-2.19.1-19.fc8, gnome-web-photo-0.3-14.fc8, kazehakase-0.5.6-1.fc8.1, liferea-1.4.15-5.fc8, Miro-1.2.7-2.fc8, openvrml-0.17.10-2.0.fc8, ruby-gnome2-0.17.0-3.fc8, yelp-2.20.0-14.fc8, seamonkey-1.1.13-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2008-11-14 12:51:10 UTC
xulrunner-1.9.0.4-1.fc9, firefox-3.0.4-1.fc9, epiphany-extensions-2.22.1-5.fc9, epiphany-2.22.2-5.fc9, cairo-dock-1.6.3.1-1.fc9.1, chmsee-1.0.1-6.fc9, devhelp-0.19.1-6.fc9, evolution-rss-0.1.0-4.fc9, galeon-2.0.7-3.fc9, gnome-python2-extras-2.19.1-21.fc9, gnome-web-photo-0.3-15.fc9, google-gadgets-0.10.1-5.fc9.1, gtkmozembedmm-1.4.2.cvs20060817-22.fc9, kazehakase-0.5.6-1.fc9.1, Miro-1.2.7-2.fc9, mozvoikko-0.9.5-4.fc9, mugshot-1.2.2-3.fc9, ruby-gnome2-0.17.0-3.fc9, totem-2.23.2-8.fc9, yelp-2.22.1-6.fc9, seamonkey-1.1.13-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2008-11-21 10:56:01 UTC
thunderbird-2.0.0.18-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2008-11-21 11:03:04 UTC
thunderbird-2.0.0.18-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2008-11-22 16:44:36 UTC
thunderbird-2.0.0.18-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Vincent Danen 2010-12-25 16:53:59 UTC
This was addressed via:

Red Hat Enterprise Linux version 4 (thunderbird) RHSA-2008:0976
Red Hat Enterprise Linux Desktop version 5 (thunderbird) RHSA-2008:0976
RHEL Optional Productivity Applications version 5 (thunderbird) RHSA-2008:0976
Red Hat Enterprise Linux version 2.1 (seamonkey) RHSA-2008:0977
Red Hat Enterprise Linux version 3 (seamonkey) RHSA-2008:0977
Red Hat Enterprise Linux version 4 (seamonkey) RHSA-2008:0977
Red Hat Enterprise Linux version 4 (firefox) RHSA-2008:0978
Red Hat Enterprise Linux version 5 (firefox) RHSA-2008:0978


Note You need to log in before you can comment on or make changes to this bug.